//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("TFormMain.cpp", FormMain);
USEFORM("..\..\..\TimeTransfer_Program\Souce\TFormMessage.cpp", FormMessage);
USEFORM("TFormComPort.cpp", FormComPort);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        AnsiString Name = "HzTransfer 2014.12.11";
        const char *MutexName = Name.c_str();
        HANDLE hInstanceMutex = ::CreateMutex(NULL, true, MutexName);
        if (GetLastError() == ERROR_ALREADY_EXISTS)
        {
                if (hInstanceMutex)
                {
                        ReleaseMutex(hInstanceMutex);
                        CloseHandle(hInstanceMutex);
                }
                Application->MessageBox("Now, Program is running!", "Information", MB_OK);
                return 0;
        }

        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TFormMain), &FormMain);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        if (hInstanceMutex)
        {
                ReleaseMutex(hInstanceMutex);
                CloseHandle(hInstanceMutex);
        }
        return 0;
}
//---------------------------------------------------------------------------
